﻿@using SiteGuide.Service.Views.Kml.Shared
@using SiteGuide.Service.Helpers
@model LaunchViewModel
<table width="100%">
    <tr>
        <td><h3><a href="@Model.SiteUrl/Sites/Details/@Model.Site.Name">@Model.Site.Name</a></h3></td>
        <td align=right><a href="mailto:webmaster@siteguide.org.au?subject=Site%20guide%20update%20-%20@Model.Site.Name">Submit update</a></td>
    </tr>
</table>
@if (Model.Site.IsClosed)
{
    <font color="red"><b>This site is closed.</b></font>
    @Html.FromMarkdown(@Model.Site.Closed)
    <br />
}
else if (Model.Launch.IsClosed)
{
    <font color="red"><b>This launch is closed.</b></font>
    @Html.FromMarkdown(Model.Launch.Closed)
    <br />
}
<hr />
<table width="100%">
    <tr>
        <td>@Model.Site.Type</td>
        <td>@Model.Site.Height</td>
    </tr>
    <tr>
        <td>@(string.IsNullOrWhiteSpace(Model.Launch.Conditions) ? Model.Site.Conditions : Model.Launch.Conditions )</td>
        <td>@Html.FromMarkdown(Model.Site.Rating)</td>
    </tr>
</table>
<hr />
@if (!Model.Site.IsClosed)
{
    @Html.FromMarkdown(Model.Site.Description)
    @if (Model.SeeAlsos != null)
        foreach (var seeAlso in Model.SeeAlsos.Where(i => i.IsEntryStubForThis))
        {
            <p>&rarr; Do not fly here until you have read the <a href="@seeAlso.Link">@seeAlso.Name</a>.</p>
        }
    @if (!string.IsNullOrWhiteSpace(Model.Site.Restrictions))
    {
        <br />
        <br />
        <img alt="Restrictions:" title="Restrictions" src="@Model.SiteUrl/css/images/alert.png" style="margin-right: .3em;" />
        @Html.FromMarkdown(Model.Site.Restrictions)
    }
    @*<xsl:for-each select="../video">
            <xsl:text><![CDATA[<p /><a href="]]></xsl:text>
            <xsl:choose>
                <xsl:when test="@type='YouTube'">
                    <xsl:text>https://www.youtube.com/watch?v=</xsl:text>
                </xsl:when>
                <xsl:when test="@type='Vimeo'">
                    <xsl:text>https://player.vimeo.com/video/</xsl:text>
                </xsl:when>
                <xsl:when test="@type='DailyMotion'">
                    <xsl:text>https://www.dailymotion.com/video/</xsl:text>
                </xsl:when>
            </xsl:choose>
            <xsl:value-of select="@id" />
            <xsl:text><![CDATA[">Video</a></p>]]></xsl:text>
        </xsl:for-each>*@
    @if (!string.IsNullOrWhiteSpace(Model.Site.Takeoff) || !string.IsNullOrWhiteSpace(Model.Launch.Description))
    {
        <br />
        <br />
        <b>Takeoff</b>
        <br />
        @Html.FromMarkdown(Model.Site.Takeoff)
        @if (!string.IsNullOrWhiteSpace(Model.Site.Takeoff) && !string.IsNullOrWhiteSpace(Model.Launch.Description))
        {
            <br />
            <br />
        }
        if (!string.IsNullOrWhiteSpace(Model.Launch.Description))
        {
            <u>@Model.Launch.Name</u><text>: </text>@Html.FromMarkdown(Model.Launch.Description)
        }
    }
    @if (!string.IsNullOrWhiteSpace(Model.Site.Landing))
    {
        <br />
        <br /><b>Landing</b>
        <br />
        @Html.FromMarkdown(Model.Site.Landing)
    }
    @if (!string.IsNullOrWhiteSpace(Model.Site.FlightComments))
    {
        <br />
        <br /><b>Flight</b>
        <br />
        @Html.FromMarkdown(Model.Site.FlightComments)
    }
    @if (!string.IsNullOrWhiteSpace(Model.Site.HazardsComments))
    {
        <br />
        <br /><b>Hazards/Comments</b>
        <br />
        @Html.FromMarkdown(Model.Site.HazardsComments)
    }
    @if (!string.IsNullOrWhiteSpace(Model.Site.ExtendedLocation))
    {
        <br />
        <br /><b>Location</b>
        <br />
        @Html.FromMarkdown(Model.Site.ExtendedLocation)
    }
    @if (!string.IsNullOrWhiteSpace(Model.Launch.EstaEmergencyMarker))
    {
        <br />
        <br /><u>000 Emergency Marker</u><text> (</text><a href="https://www.triplezero.vic.gov.au/our-services#emergency-markers" title="Emergency markers pinpoint your exact location during an emergency in public open spaces or a hard to define locality. Click to learn more.">?</a><text>): </text>@Model.Launch.EstaEmergencyMarker
    }
    @if (!string.IsNullOrWhiteSpace(Model.Site.SmallPicture))
    {
        <br />
        <br />
        <img alt="" title="@(string.IsNullOrWhiteSpace(Model.Site.SmallPictureTitle)?"Site picture":Model.Site.SmallPictureTitle)" src="@Model.SiteUrl/Site%20Photos/@Model.Site.SmallPicture" />
        <br />
    }
    <hr>
    @if (string.IsNullOrWhiteSpace(Model.Site.Landowners))
    {
        <b>Landowners - ?</b>
    }
    else
    {
        <b>Landowners: </b>@Html.FromMarkdown(Model.Site.Landowners)
    }
    if (Model.Contacts.All(c => c.IsContact == c.IsResponsible)) /*check if contact and responsible entries are the same*/
    {
        <partial name="./_ContactList.cshtml" model='new ContactListViewModel { Title =  "Contact/Responsible", Contacts = Model.Contacts.Select(c=>c.Contact) }' />
    }
    else
    {
        <partial name="./_ContactList.cshtml" model='new ContactListViewModel { Title =  "Contact", Contacts = Model.Contacts.Where(c=>c.IsContact).Select(c=>c.Contact) }' />
        <partial name="./_ContactList.cshtml" model='new ContactListViewModel { Title =  "Responsible", Contacts = Model.Contacts.Where(c=>c.IsResponsible).Select(c=>c.Contact) }' />
    }

    @if (Model.SeeAlsos != null && Model.SeeAlsos.Any())
    {
        <br />
        <text><b>See also</b>:&nbsp;</text>
        @foreach (var seeAlso in Model.SeeAlsos)
        {
            <a href="@seeAlso.Link">@seeAlso.Name</a>
            <br />
        }
    }
}